SSD1306Ascii

Public Attributes | List of all members
DevType Struct Reference

Device initialization structure. More...

`#include <SSD1306init.h>`

## Public Attributes
const uint8_t | colOffset
const uint8_t * | initcmds
const uint8_t | initSize
const uint8_t | lcdHeight
const uint8_t | lcdWidth

## Detailed Description

Device initialization structure.

## Member Data Documentation

## ◆ colOffset

const uint8_t DevType::colOffset

Column offset RAM to display. Used to pick start column of SH1106.

## ◆ initcmds

const uint8_t* DevType::initcmds

Pointer to initialization command bytes.

## ◆ initSize

const uint8_t DevType::initSize

Number of initialization bytes.

## ◆ lcdHeight

const uint8_t DevType::lcdHeight

Height of the display in pixels.

## ◆ lcdWidth

const uint8_t DevType::lcdWidth

Width of the diaplay in pixels.

The documentation for this struct was generated from the following file:

- Arduino/libraries/SSD1306Ascii/src/SSD1306init.h